package com.jz.dmp.modules.dao.sys;

import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Param;

import com.jz.dmp.modules.controller.sys.bean.DmpRoleDto;
import com.jz.dmp.modules.model.DmpRole;

/**角色表 mapper
 * @author ybz
 *
 */
public interface DmpRoleMapper {
	
	/**新增角色表
     * @param dmpRole
     * @return
     * @throws Exception
     */
    public int insert(DmpRole dmpRole)throws Exception;

    /**选择性增加角色表
     * @param dmpRole
     * @return
     * @throws Exception
     */
    public int insertSelective(DmpRole dmpRole)throws Exception;
    
    /**主键修改角色表
     * @param dmpRole
     * @return
     * @throws Exception
     */
    public int updateByPrimaryKey(DmpRole dmpRole)throws Exception;

    /**选择性修改角色表
     * @param dmpRole
     * @return
     * @throws Exception
     */
    public int updateByPrimaryKeySelective(DmpRole dmpRole)throws Exception;
    
    /**主键查询角色表
     * @param dmpRoleId
     * @return
     * @throws Exception
     */
    public DmpRole selectByPrimaryKey(Integer dmpRoleId)throws Exception;

    /**主键删除角色表
     * @param dmpRoleId
     * @return
     * @throws Exception
     */
    public int deleteByPrimaryKey(Integer dmpRoleId)throws Exception;

	/**条件查询角色表
	 * @param param
	 * @return
	 * @throws Exception
	 */
	public List<DmpRoleDto> findList(Map<String, Object> param)throws Exception;

	/**主键查询角色表
	 * @param dmpRoleId
	 * @return
	 * @throws Exception
	 */
	public DmpRoleDto findById(Integer dmpRoleId)throws Exception;

	/**批量新增角色表
	 * @param dmpRoles
	 * @throws Exception
	 */
	public void insertBatch(List<DmpRole> dmpRoles)throws Exception;

	/**  
	* @Title: findMemberRolesByUserId  
	* @Description: TODO(获取用户的用户角色)  
	* @param @param userId
	* @param @return
	* @param @throws Exception    参数  
	* @return List<DmpRole>    返回类型  
	* @throws  
	*/ 
	public List<DmpRole> findMemberRolesByUserId(@Param("userId")Integer userId)throws Exception;

	/**  
	* @Title: findMemberProjRoles  
	* @Description: TODO(这里用一句话描述这个方法的作用)  
	* @param @param userId
	* @param @param projectId
	* @param @return
	* @param @throws Exception    参数  
	* @return List<DmpRole>    返回类型  
	* @throws  
	*/ 
	public List<DmpRole> findMemberProjRoles(@Param("userId")Integer userId, @Param("projectId")Integer projectId)throws Exception;
	
}
